#ifndef PW_VISUAL_FRAMEBUFFER_HPP
#define PW_VISUAL_FRAMEBUFFER_HPP

#include <pw/core/globals.hpp>
#include <pw/core/size.hpp>

namespace pw {

class framebuffer {
public:
    framebuffer();
    ~framebuffer();

    bool create(const size& s);

    void bind();
    void blit();
    void unbind();

protected:

    struct impl;
    std::unique_ptr<impl> _impl;
};

}
#endif
